Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Starbound needs older DirectFB
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gamers & Players
View previous topic :: View next topic  
Author Message
Letharion
Veteran
Veteran


Joined: 13 Jun 2005
Posts: 1259
Location: Sweden

PostPosted: Thu Dec 05, 2013 12:16 pm    Post subject: Starbound needs older DirectFB Reply with quote

I'm trying to play the Starbound beta.

When launching, I get

Code:
$ ./launch_starbound.sh
./starbound: error while loading shared libraries: libdirectfb-1.2.so.9: cannot open shared object file: No such file or directory


While it to me seems very odd for starbound to needs framebuffer access, I assume this file would come from dev-libs/DirectFB. However, on installing that package, I see that the version it installs is newer:
Code:
/usr/lib64/libdirectfb-1.4.so.5


While I could try to pull out older package versions out from CVS, I'm hoping someone can provide a simpler (more robust) solution/suggestion.

Or perhaps I'm looking at the wrong library all together?
Back to top
View user's profile Send private message
curio77
n00b
n00b


Joined: 06 Nov 2006
Posts: 16
Location: Germany

PostPosted: Thu Dec 05, 2013 4:24 pm    Post subject: Reply with quote

Get this too. What's strange is that this issue has apparently cropped up only after the first update (of around 500 MB); when I ran it yesterday immediately after it having become available, things worked without any issues.

Try symlinking the relevant DirectFB libraries despite the version conflct, i.e.

Code:

cd PATH/TO/linxu64
ln -s /usr/lib/libdirectfb.so libdirectfb-1.2.so.9
ln -s /usr/lib/libfusion.so libfusion-1.2.so.9
ln -s /usr/lib/libdirect.so libdirect-1.2.so.9


You'll also need libcaca, pulseaudio, and tslib — you'll need to symlink the last one analogously, i.e.

Code:
ln -s /usr/lib/libts.so libts-0.0.so.0


Seems to work OK after these measures. :D
Back to top
View user's profile Send private message
Letharion
Veteran
Veteran


Joined: 13 Jun 2005
Posts: 1259
Location: Sweden

PostPosted: Thu Dec 05, 2013 6:40 pm    Post subject: Reply with quote

So it does! Thanks. :)
I grabbed the directfb files from a Ubuntu install before I saw your post though, but good to know that just symlinking them happens to work as well.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gamers & Players All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum